petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMTSSetI2Function

set TS implicit function evaluation function for 2nd order systems

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetI2Function(DM dm,TSI2Function fun,void *ctx)

Not Collective

### Input Arguments

| dm | - DM to be used with TS
| fun | - function evaluation function, see TSSetI2Function() for calling sequence
| ctx | - context for residual evaluation

### Note

TSSetI2Function() is normally used, but it calls this function internally because the user context is actually associated with the DM.

### See Also

TSSetI2Function()

Level:advanced
Location:src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages